| Kea 3.0.2-git

isc::hooks::ParkingLots Class Reference

Collection of parking lots for various hook points. More...

`#include <parking_lots.h>`

## Public Member Functions
void | clear ()
| Removes all parked objects.
ParkingLotPtr | getParkingLotPtr (const int hook_index)
| Returns pointer to the parking lot for a hook points.

## Detailed Description

Collection of parking lots for various hook points.

Definition at line 384 of file parking_lots.h.

## Member Function Documentation

## ◆ clear()

void isc::hooks::ParkingLots::clear | ( |  | ) |
| inline

Removes all parked objects.

It doesn't invoke callbacks associated with the removed objects.

Definition at line 390 of file parking_lots.h.

## ◆ getParkingLotPtr()

ParkingLotPtr isc::hooks::ParkingLots::getParkingLotPtr | ( | const int | hook_index | ) |
| inline

Returns pointer to the parking lot for a hook points.

If the parking lot for the specified hook point doesn't exist, it is created.

Parameters

  hook_index | index of the hook point with which the parking lot is associated.

Returns
  Pointer to the parking lot.

Definition at line 403 of file parking_lots.h.

The documentation for this class was generated from the following file:

- parking_lots.h